package dev.fyloz.colorrecipesexplorer.repository

import dev.fyloz.colorrecipesexplorer.model.MixMaterial
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface MixMaterialRepository : JpaRepository<MixMaterial, Long> {
    /** Checks if one or more mix materials have the given [materialId]. */
    fun existsByMaterialId(materialId: Long): Boolean
}
